import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { checkNodeExist, getClassName } from '@react-devui/utils';
import { usePrefixConfig } from '../root';
export function DItem(props) {
    const { children, dId, dLevel, dIcon, dFocusVisible, dDisabled, onItemClick } = props;
    //#region Context
    const dPrefix = usePrefixConfig();
    //#endregion
    return (_jsxs("li", Object.assign({ id: dId, className: getClassName(`${dPrefix}dropdown__item`, `${dPrefix}dropdown__item--basic`, {
            'is-disabled': dDisabled,
        }), style: { paddingLeft: 12 + dLevel * 16 }, role: "menuitem", "aria-disabled": dDisabled, onClick: onItemClick }, { children: [dFocusVisible && _jsx("div", { className: `${dPrefix}focus-outline` }), checkNodeExist(dIcon) && _jsx("div", Object.assign({ className: `${dPrefix}dropdown__item-icon` }, { children: dIcon })), _jsx("div", Object.assign({ className: `${dPrefix}dropdown__item-content` }, { children: children }))] })));
}
