import type { DFormControl } from './FormItem';
import type { AbstractControl } from './abstract-control';
import type { FormGroup } from './form-group';
import React from 'react';
export declare const DFormUpdateContext: React.Context<(() => void) | null>;
export declare function useForm<T extends {
    [K in keyof T]: AbstractControl;
} = any>(cb: () => FormGroup<T>): readonly [FormGroup<T>, (val?: FormGroup) => void];
export declare type DFormControlInject = [any, (val: any) => void] | undefined;
export declare function useFormControl(formControl?: DFormControl): DFormControlInject;
